From 37fb395262fe79508e286fecd1e1243c5e27a6d9 Mon Sep 17 00:00:00 2001
From: Murat Sezgin <msezgin@codeaurora.org>
Date: Tue, 10 Mar 2015 16:45:13 -0700
Subject: [PATCH 03/16] [qca-nss-ecm] ifdef'd all the VLAN code.

* This will make it easy to remove VLAN code from the compilation.

Change-Id: I792453a8de28067bfcba382de212f07b3c10cd05
Signed-off-by: Murat Sezgin <msezgin@codeaurora.org>
---
 ecm_db.c             | 10 +++++++---
 ecm_db.h             |  6 ++++++
 ecm_db_types.h       |  2 ++
 ecm_front_end_ipv4.c |  2 +-
 4 files changed, 16 insertions(+), 4 deletions(-)

diff --git a/ecm_db.c b/ecm_db.c
index ca764a6..3c117c0 100644
--- a/ecm_db.c
+++ b/ecm_db.c
@@ -222,7 +222,9 @@ struct ecm_db_iface_instance {
 	 */
 	union {
 		struct ecm_db_interface_info_ethernet ethernet;		/* type == ECM_DB_IFACE_TYPE_ETHERNET */
+#ifdef ECM_INTERFACE_VLAN_ENABLE
 		struct ecm_db_interface_info_vlan vlan;			/* type == ECM_DB_IFACE_TYPE_VLAN */
+#endif
 		struct ecm_db_interface_info_lag lag;			/* type == ECM_DB_IFACE_TYPE_LAG */
 		struct ecm_db_interface_info_bridge bridge;		/* type == ECM_DB_IFACE_TYPE_BRIDGE */
 #ifdef ECM_INTERFACE_PPP_ENABLE
@@ -3571,8 +3573,7 @@ struct ecm_db_iface_instance *ecm_db_iface_ifidx_find_and_ref_ethernet(uint8_t *
 }
 EXPORT_SYMBOL(ecm_db_iface_ifidx_find_and_ref_ethernet);
 
-
-
+#ifdef ECM_INTERFACE_VLAN_ENABLE
 /*
  * ecm_db_iface_vlan_info_get()
  *	Get vlan interface specific information
@@ -3628,6 +3629,7 @@ struct ecm_db_iface_instance *ecm_db_iface_find_and_ref_vlan(uint8_t *address, u
 	return NULL;
 }
 EXPORT_SYMBOL(ecm_db_iface_find_and_ref_vlan);
+#endif
 
 /*
  * ecm_db_iface_find_and_ref_bridge()
@@ -3708,7 +3710,7 @@ EXPORT_SYMBOL(ecm_db_iface_find_and_ref_lag);
 #ifdef ECM_INTERFACE_PPP_ENABLE
 /*
  * ecm_db_iface_pppoe_session_info_get()
- *	Get vlan interface specific information
+ *	Get pppoe interface specific information
  */
 void ecm_db_iface_pppoe_session_info_get(struct ecm_db_iface_instance *ii, struct ecm_db_interface_info_pppoe *pppoe_info)
 {
@@ -7021,6 +7023,7 @@ void ecm_db_iface_add_bridge(struct ecm_db_iface_instance *ii, uint8_t *address,
 }
 EXPORT_SYMBOL(ecm_db_iface_add_bridge);
 
+#ifdef ECM_INTERFACE_VLAN_ENABLE
 /*
  * ecm_db_iface_vlan_xml_state_get()
  * 	Return interface type specific state
@@ -7167,6 +7170,7 @@ void ecm_db_iface_add_vlan(struct ecm_db_iface_instance *ii, uint8_t *address, u
 	}
 }
 EXPORT_SYMBOL(ecm_db_iface_add_vlan);
+#endif
 
 #ifdef ECM_INTERFACE_PPP_ENABLE
 /*
diff --git a/ecm_db.h b/ecm_db.h
index ef3284f..ff83d23 100644
--- a/ecm_db.h
+++ b/ecm_db.h
@@ -120,11 +120,15 @@ void ecm_db_iface_bridge_address_get(struct ecm_db_iface_instance *ii, uint8_t *
 #ifdef ECM_INTERFACE_PPP_ENABLE
 void ecm_db_iface_pppoe_session_info_get(struct ecm_db_iface_instance *ii, struct ecm_db_interface_info_pppoe *pppoe_info);
 #endif
+#ifdef ECM_INTERFACE_VLAN_ENABLE
 void ecm_db_iface_vlan_info_get(struct ecm_db_iface_instance *ii, struct ecm_db_interface_info_vlan *vlan_info);
+#endif
 
 struct ecm_db_iface_instance *ecm_db_iface_ifidx_find_and_ref_ethernet(uint8_t *address, int32_t idx);
 struct ecm_db_iface_instance *ecm_db_iface_find_and_ref_lag(uint8_t *address);
+#ifdef ECM_INTERFACE_VLAN_ENABLE
 struct ecm_db_iface_instance *ecm_db_iface_find_and_ref_vlan(uint8_t *address, uint16_t vlan_tag, uint16_t vlan_tpid);
+#endif
 struct ecm_db_iface_instance *ecm_db_iface_find_and_ref_bridge(uint8_t *address);
 struct ecm_db_iface_instance *ecm_db_iface_find_and_ref_unknown(uint32_t os_specific_ident);
 #ifdef ECM_INTERFACE_PPP_ENABLE
@@ -210,7 +214,9 @@ void ecm_db_listener_add(struct ecm_db_listener_instance *li, ecm_db_iface_liste
 void ecm_db_iface_add_ethernet(struct ecm_db_iface_instance *ii, uint8_t *address, char *name, int32_t mtu, int32_t interface_identifier, int32_t nss_interface_identifier, ecm_db_iface_final_callback_t final, void *arg);
 void ecm_db_iface_add_lag(struct ecm_db_iface_instance *ii, uint8_t *address, char *name, int32_t mtu, int32_t interface_identifier, int32_t nss_interface_identifier, ecm_db_iface_final_callback_t final, void *arg);
 void ecm_db_iface_add_bridge(struct ecm_db_iface_instance *ii, uint8_t *address, char *name, int32_t mtu, int32_t interface_identifier, int32_t nss_interface_identifier, ecm_db_iface_final_callback_t final, void *arg);
+#ifdef ECM_INTERFACE_VLAN_ENABLE
 void ecm_db_iface_add_vlan(struct ecm_db_iface_instance *ii, uint8_t *address, uint16_t vlan_tag, uint16_t vlan_tpid, char *name, int32_t mtu, int32_t interface_identifier, int32_t nss_interface_identifier, ecm_db_iface_final_callback_t final, void *arg);
+#endif
 #ifdef ECM_INTERFACE_PPP_ENABLE
 void ecm_db_iface_add_pppoe(struct ecm_db_iface_instance *ii, uint16_t pppoe_session_id, uint8_t *remote_mac, char *name, int32_t mtu, int32_t interface_identifier, int32_t nss_interface_identifier, ecm_db_iface_final_callback_t final, void *arg);
 #endif
diff --git a/ecm_db_types.h b/ecm_db_types.h
index 79ee3a9..501471b 100644
--- a/ecm_db_types.h
+++ b/ecm_db_types.h
@@ -215,11 +215,13 @@ struct ecm_db_interface_info_ethernet {			/* type == ECM_DB_IFACE_TYPE_ETHERNET
 	uint8_t address[ETH_ALEN];			/* MAC Address of this Interface */
 };
 
+#ifdef ECM_INTERFACE_VLAN_ENABLE
 struct ecm_db_interface_info_vlan {			/* type == ECM_DB_IFACE_TYPE_VLAN */
 	uint8_t address[ETH_ALEN];			/* MAC Address of this Interface */
 	uint16_t vlan_tpid;				/* VLAN tag protocol id */
 	uint16_t vlan_tag;				/* VLAN tag of this interface */
 };
+#endif
 
 struct ecm_db_interface_info_lag {			/* type == ECM_DB_IFACE_TYPE_LAG */
 	uint8_t address[ETH_ALEN];			/* MAC Address of this Interface */
diff --git a/ecm_front_end_ipv4.c b/ecm_front_end_ipv4.c
index 61dfd49..203efca 100644
--- a/ecm_front_end_ipv4.c
+++ b/ecm_front_end_ipv4.c
@@ -4161,8 +4161,8 @@ static void ecm_front_end_ipv4_connection_non_ported_front_end_accelerate(struct
 			rule_invalid = true;
 #endif
 			break;
-#ifdef ECM_INTERFACE_VLAN_ENABLE
 		case ECM_DB_IFACE_TYPE_VLAN:
+#ifdef ECM_INTERFACE_VLAN_ENABLE
 			DEBUG_TRACE("%p: VLAN\n", fecnpi);
 			if (interface_type_counts[ii_type] > 1) {
 				/*
-- 
1.8.2

